##
##  linkchecker.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2009 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         linkchecker
Summary:      HTML Hyperlink Checker
URL:          http://linkchecker.sf.net/
Vendor:       Bastian Kleineidam
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        HTML
License:      GPL
Version:      5.0.2
Release:      20090608

#   list of sources
Source0:      http://switch.dl.sourceforge.net/linkchecker/LinkChecker-%{version}.tar.gz
Patch0:       linkchecker.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, python, python-net, gcc
PreReq:       OpenPKG, openpkg >= 20040130, python, python-net
AutoReq:      no
AutoReqProv:  no

%description
    LinkChecker checks your HTML documents for broken links.

%track
    prog linkchecker = {
        version   = %{version}
        url       = http://prdownloads.sourceforge.net/linkchecker/
        regex     = LinkChecker-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n LinkChecker-%{version}
    %patch -p0

%build

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_prefix}/bin/python setup.py install --root=$RPM_BUILD_ROOT --prefix=%{l_prefix}
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/man/{de,fr}
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/locale
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/linkchecker/*'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

